package com.softgraf.model;

import javafx.scene.control.TextField;

public class Cep {

	final public static int MAX = 9;
	
	// "12345-789"
	public static void formatar(TextField campo){
		StringBuilder cep = new StringBuilder();
		// remove caracteres não numéricos	
		campo.getText().trim().chars().forEach(c -> {
			if (c >= '0' && c <= '9'){
				cep.append((char) c);
			}
			if (cep.length() == 5){
				cep.append('-');
			}
		});
	
		if (cep.length() == 9)
			campo.setText(cep.toString());
		else
			campo.setText("");
	}
}
